/*=======================================================*/
/*  TVWCOLOR.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_color   set physical attribute for logical attr */
/*   Ralf Brown 4/15/88                                  */
/*=======================================================*/

void pascal TVwin_color(OBJECT win,int logattr,int physattr)
{
   static BYTE stream[] = { S_WINDOW(4), 0xEC, 0x90, 0, 0 } ;

/*   stream[5] = 0x90 ; */ /*don't know what bit flags stand for yet */
   stream[6] = ((logattr-1)<<4)|1 ;
   stream[7] = physattr ;
   TVwin_stream(win,stream) ;
}

/* End of TVWCOLOR.C */
